/**
 * EasyBeans
 * Copyright (C) 2012 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: TestReport.java 6135 2012-01-24 17:02:48Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.testng4osgi.launcher;

import org.ow2.util.maven.osgi.launcher.test.api.ITestReport;

/**
 * Defines a report for a run
 * @author Florent Benoit
 */
public class TestReport implements ITestReport{

    /**
     * Sucess ?
     */
    private boolean success;
    
    /**
     * Build a report
     * @param success the given true/false
     */
    public TestReport(boolean success) {
        this.success = success;
    }
    
    /**
     * @return true if success
     */
    public boolean success() {
        return success;
    }

}
